<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbOauthTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_oauth', function(Blueprint $table)
		{
			$table->integer('id');
			$table->integer('site_id')->index('fk_o_set_idx');
			$table->boolean('active')->nullable();
			$table->string('name', 32);
			$table->string('app_id', 128)->nullable();
			$table->string('secret', 128)->nullable();
			$table->primary(['id','site_id']);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_oauth');
	}

}
